MagickCore: Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - s -

- S_IREAD : mac.h
- S_ISDIR : studio.h
- S_ISREG : studio.h
- S_IWRITE : mac.h
- S_MODE : studio.h
- SAFE_GLOBAL : nt-base.h
- SafeMargin : segment.c
- SampleImage() : resize.c , resize.h
- SampleImageTag : resize.c
- SaturateCompositeOp : composite.h
- SaturationCommand : display.c
- SaturationIntent : profile.h
- SaturationPreview : effect.h
- SaveCommand : display.c , animate.c
- SaveImagesTag : image-private.h , image.c
- SaveImageTag : image-private.h , image.c
- SaveToUndoBufferCommand : display.c
- ScaleAnyToQuantum() : quantum-private.h
- ScaleColor5to8() : image-private.h
- ScaleColor6to8() : image-private.h
- ScaleColor8to5() : image-private.h
- ScaleColor8to6() : image-private.h
- ScaleImage() : resize.c , resize.h
- ScaleImageTag : resize.c
- ScaleQuantumToAny() : quantum-private.h
- ScaleResampleFilter() : resample.h , resample.c
- ScaleRotateTranslateDistortion : distort.h
- ScalesBitmap : display.c
- ScalesHeight : display.c
- ScaleSpace() : segment.c
- ScalesWidth : display.c
- ScaleXToQuantum() : xwindow.c
- SceneCompare() : animate.c , montage.c
- scope_height : xwindow.c
- scope_width : xwindow.c
- scope_x_hot : xwindow.c
- scope_y_hot : xwindow.c
- Screen() : composite.c
- ScreenCompositeOp : composite.h
- SearchImageText : color.c
- SeedRandomReservoir() : random.c , random_.h
- SeekBlob() : blob-private.h , blob.c
- seekdir : nt-base.h , mac.h
- SegmentCommand : display.c
- SegmentImage() : segment.c , segment.h
- SegmentImageTag : segment.c
- SegmentInfo : image.h
- SegmentPower : segment.c
- SegmentPreview : effect.h
- SegmentSize : memory.c
- SelectCommand : display.c
- selection_info : widget.c
- semaphore_mutex : semaphore.c
- SemaphoreInfo : semaphore.h
- SemiCondensedStretch : type.h
- SemiExpandedStretch : type.h
- sentinel : xml-tree.c
- SentinelFilter : resize.h
- SeparateImageChannel() : image.c , image.h
- SeparateImages() : image.c , image.h
- SeparateImageTag : image.c
- SepiaToneCommand : display.c
- SepiaToneImage() : fx.c , fx.h
- SepiaToneImageTag : fx.c
- serial_number : cache.c
- SetAdobeRGB1998ImageProfile() : profile.c
- SetAlphaChannel : image.h
- SetApplicationType() : mac.h
- SetBit : fx.c
- SetBlobExempt() : blob.c , blob.h
- SetCacheMethods() : cache-private.h , cache.c
- SetCacheNexus() : cache.c , cache.h
- SetCacheThreshold() : deprecate.c , deprecate.h
- SetCacheView() : cache-view.c , cache-view.h
- SetCacheViewStorageClass() : cache-view.c , cache-view.h
- SetCacheViewVirtualPixelMethod() : cache-view.c , cache-view.h
- SetCacheVirtualPixelMethod() : cache.c , cache.h
- SetClientName() : client.c , client.h
- SetClientPath() : client.c , client.h
- SetErrorHandler() : exception.c , exception.h
- SetEvaluateOperator : fx.h
- SetExceptionInfo() : deprecate.c , deprecate.h
- SetFatalErrorHandler() : exception.c , exception.h
- SetGeometry() : geometry.c , geometry.h
- SetGeometryInfo() : geometry.c , geometry.h
- SetImage() : deprecate.c , deprecate.h
- SetImageAlphaChannel() : image.c , image.h
- SetImageArtifact() : artifact.c , artifact.h
- SetImageAttribute() : deprecate.c , deprecate.h
- SetImageBackgroundColor() : image.c , image.h
- SetImageChannelDepth() : statistic.c , statistic.h
- SetImageClipMask() : image.h , image.c
- TransformImageColorspace() : colorspace.c , colorspace.h
- SetImageDepth() : statistic.c , statistic.h
- SetImageExtent() : image.c , image.h
- SetImageInfo() : image.c , image.h
- SetImageInfoBlob() : image.c , image.h
- SetImageInfoFile() : image.c , image.h
- SetImageInfoProgressMonitor() : monitor.c , monitor.h
- SetImageList() : deprecate.c , deprecate.h
- SetImageMask() : image.c , image.h
- SetImageOpacity() : image.c , image.h
- SetImageOption() : option.c , option.h
- SetImagePixels() : cache.c , image.h
- SetImageProfile() : profile.c , profile.h
- SetImageProgressMonitor() : monitor.c , monitor.h
- SetImageProperty() : property.c , property.h
- SetImageRegistry() : registry.c , registry.h
- SetImageStorageClass() : image.c , image.h
- SetImageType() : image.c , image.h
- SetImageVirtualPixelMethod() : image.c , image.h
- SetLogEventMask() : log.c , log.h
- SetLogFormat() : log.c , log.h
- SetLogName() : log.c , log.h
- SetMagickInfo() : magick.c , magick.h
- SetMagickPixelPacket() : pixel-private.h
- SetMagickRegistry() : deprecate.c , deprecate.h
- SetMagickResourceLimit() : resource.c , resource_.h
- SetMagickSignalHandler() : magick.c
- setmode : nt-base.h
- SetMonitorHandler() : deprecate.c , deprecate.h
- SetNexus() : cache.c
- SetNotifyHandlers : studio.h
- SetPixelCache() : cache.c
- SetPixelHandler : cache-private.h
- SetPixelPacket() : pixel-private.h
- SetPixelStream() : stream.c
- SetResampleFilter() : resample.c
- SetResampleFilterInterpolateMethod() : resample.c , resample.h
- SetResampleFilterVirtualPixelMethod() : resample.c , resample.h
- SetResizeFilterSupport() : resize-private.h , resize.c
- SetsRGBImageProfile() : profile.c
- SetStreamInfoClientData() : stream-private.h , stream.c
- SetStreamInfoMap() : stream-private.h , stream.c
- SetStreamInfoStorageType() : stream-private.h , stream.c
- SetStringInfo() : string.c , string_.h
- SetStringInfoDatum() : string.c , string_.h
- SetStringInfoLength() : string.c , string_.h
- SetStringInfoPath() : string.c , string_.h
- SetWarningHandler() : exception.c , exception.h
- SetXMLTreeAttribute() : xml-tree.c , xml-tree.h
- SetXMLTreeContent() : xml-tree.c , xml-tree.h
- ShadeCommand : display.c
- ShadeImage() : effect.c , effect.h
- ShadeImageTag : effect.c
- ShadePreview : effect.h
- ShadowBitmap : animate.c , display.c
- ShadowFactor : decorate.c
- ShadowHeight : animate.c , display.c
- ShadowImage() : fx.c , fx.h
- ShadowModulate : xwindow.c , decorate.c
- ShadowWidth : animate.c , display.c
- SharpenCommand : display.c
- SharpenContrastImageTag : enhance.c
- SharpenImage() : effect.c , effect.h
- SharpenImageChannel() : effect.h , effect.c
- SharpenImageTag : effect.c
- SharpenPreview : effect.h
- ShaveImage() : transform.c , transform.h
- ShearCommand : display.c
- ShearImage() : shear.c , shear.h
- ShearPreview : effect.h
- shellWidgetClass : vms.h
- ShiftImageList() : deprecate.c , deprecate.h
- ShortData : mime-private.h
- ShortPixel : constitute.h
- ShowHistogramCommand : display.c
- ShowMatteCommand : display.c
- ShowPreviewCommand : display.c
- SIG_DFL : magick.c
- SIG_ERR : magick.c
- Sigma0 : signature.c
- Sigma1 : signature.c
- SigmaGaussian : effect.c
- SigmaImpulse : effect.c
- SigmaLaplacian : effect.c
- SigmaMultiplicativeGaussian : effect.c
- SigmaPoisson : effect.c
- SigmaUniform : effect.c
- SigmaValue : geometry.h
- SIGMAX : magick.c
- SigmoidalContrastCommand : display.c
- SigmoidalContrastImage() : enhance.c , enhance.h
- SigmoidalContrastImageChannel() : enhance.h , enhance.c
- SigmoidalContrastImageTag : enhance.c
- signal_handlers : magick.c
- SignalHandler : magick.c
- SignatureImage() : signature.c , signature.h
- SignatureInfo : signature.h
- SignedQuantumFormat : quantum.h
- Sinc() : resize.c
- SincFilter : resize.h
- sindex() : token.c
- SizeBlob() : deprecate.h , deprecate.c
- SizeMask : memory.c
- SizeOfBlock : memory.c
- SketchImage() : fx.h , fx.c
- SlideShowCommand : display.c
- SlowerCommand : animate.c
- SmallHashmapSize : hashmap.h
- SoftLight() : composite.c
- SoftLightCompositeOp : composite.h
- SolarizeCommand : display.c
- SolarizeImage() : fx.h , fx.c
- SolarizeImageTag : fx.c
- SolarizePreview : effect.h
- SortColormapByIntensity() : image.h , image.c
- SouthEastGravity : geometry.h
- SouthGravity : geometry.h
- SouthWestGravity : geometry.h
- SpiffCommand : display.c
- SpiffPreview : effect.h
- Splay() : splay-tree.c
- SplaySplayTree() : splay-tree.c
- SplayTreeInfo : splay-tree.h
- SplayTreeToNodeArray() : splay-tree.c
- SpliceImage() : transform.h , transform.c
- SpliceImageIntoList() : list.h , list.c
- SpliceImageList() : deprecate.h , deprecate.c
- SpliceImageTag : transform.c
- SplineInterpolatePixel : resample.h
- SplitImageList() : list.h , list.c
- SplitStringInfo() : string.c , string_.h
- SpreadCommand : display.c
- SpreadImage() : effect.c , effect.h
- SpreadImageTag : effect.c
- SpreadMethod : draw.h
- SpreadPreview : effect.h
- SquareCap : draw.h
- SrcAtopCompositeOp : composite.h
- SrcCompositeOp : composite.h
- SrcInCompositeOp : composite.h
- SrcOutCompositeOp : composite.h
- SrcOverCompositeOp : composite.h
- sRGBColorspace : colorspace.h
- SSIZE_MAX : nt-base.h
- ssize_t : nt-base.h
- Stability() : segment.c
- StandardStream : blob.c
- StartTimer() : timer.h , timer.c
- StaticGravity : geometry.h
- STDC : studio.h
- StderrHandler : log.c
- STDIN_FILENO : studio.h
- StdoutHandler : log.c
- SteganoImage() : fx.c , fx.h
- SteganoImageTag : fx.c
- StepAnimationState : animate.c
- StepBackwardCommand : animate.c
- StepCommand : animate.c
- StepForwardCommand : animate.c
- StereoImage() : fx.c , fx.h
- StereoImageTag : fx.c
- StopInfo : draw.h
- StoppedTimerState : timer.h
- StopTimer() : timer.c
- StorageOptions : option.c
- StorageType : constitute.h
- StoreToken() : token.c
- strcasecmp : nt-base.h
- StreamError : exception.h
- StreamFatalError : exception.h
- StreamHandler : stream.h
- StreamImage() : stream.c , stream-private.h
- StreamImagePixels() : stream.c
- StreamInfo : stream-private.h
- StreamTransmitType : image.h
- StreamType : blob.c
- StreamWarning : exception.h
- StretchOptions : option.c
- StretchType : type.h
- StringData : mime-private.h
- StringInfo : string_.h
- StringInfoToString() : string.c , string_.h
- StringRegistryType : registry.h
- StringToArgv() : string.c , string_.h
- StringToDouble() : string.c , string_.h
- StringToken() : string.c , string_.h
- StringToList() : string.c , string_.h
- StringToStringInfo() : string_.h , string.c
- Strip() : deprecate.h , deprecate.c
- StripImage() : image.c , image.h
- StripString() : string.c , string_.h
- strncasecmp : nt-base.h
- StyleOptions : option.c
- StyleType : type.h
- SubimagePath : utility.h
- submenu_info : widget.c
- SubstituteString() : string_.h , string.c
- Subtract() : composite.c
- SubtractCompositeOp : composite.h
- SubtractEvaluateOperator : fx.h
- Suma0 : signature.c
- Suma1 : signature.c
- SVGCompliance : color.h
- SVGCompliant : color.c
- Swap : studio.h
- SwirlCommand : display.c
- SwirlImage() : fx.h , fx.c
- SwirlImageTag : fx.c
- SwirlPreview : effect.h
- SyncBlob() : blob.c
- SyncCache() : cache.c
- SyncCacheNexus() : cache.c , cache.h
- SyncCacheView() : cache-view.c , cache-view.h
- SyncImage() : image.h , image.c
- SyncImageInfo() : constitute.c
- SyncImageList() : list.h , list.c
- SyncImageOptions() : option.h , option.c
- SyncImagePixels() : image.h , cache.c
- SyncImageProfiles() : profile.c , profile.h
- SyncNextImageInList() : list.c , list.h
- SyncPixelCache() : cache.c
- SyncPixelHandler : cache-private.h
- SyncPixelStream() : stream.c
- sys : vms.h
- sysconf : nt-base.h
- SystemCommand() : utility.h , utility.c